Loading...
Searching...
No Matches
wimlib_update_command Struct Reference
Modifying WIMs

Specification of an update to perform on a WIM image. More...

`#include <wimlib.h>`

Collaboration diagram for wimlib_update_command:
[legend]

## Data Fields

enum wimlib_update_op | op
union { |
struct wimlib_add_command add |
struct wimlib_delete_command delete_ |
struct wimlib_rename_command rename |
}; |

## Detailed Description

Specification of an update to perform on a WIM image.

## Field Documentation

## op

enum wimlib_update_op wimlib_update_command::op

## add

struct wimlib_add_command wimlib_update_command::add

## delete_

struct wimlib_delete_command wimlib_update_command::delete_

## rename

struct wimlib_rename_command wimlib_update_command::rename

## [union]

union { ... } wimlib_update_command

The documentation for this struct was generated from the following file:

- wimlib.h